Subject: Re: bug#17589: 24.3.91; lisp/frameset.el

From: Juanma Barranquero <[email-masked]>
Date: Tue, 27 May 2014 10:32:37 +0200

On May 27, 2014 9:34 AM, "martin rudalics" <[email-masked]> wrote:

>  We probably want a more general
> solution in desktop.el to restore the connection between files visited
> and the names of the respective buffers in some unified manner.

That won't help in this particular case, where buffers are live in the same
session, just renamed since the call to window-state-get, and desktop.el
isn't involved at all.

I think we'd need an optional arg to w-s-g to use in live sessions, where
it would store refs to live buffers instead of their names (and code in
w-s-p to deal with it, of course).